
struct ModelViewer {

    let file: String

    let description: String?

    private var imageAltText: String {
        guard let description else {
            return ""
        }
        return " alt='\(description.htmlEscaped())'"
    }

    var content: String {
        "<model-viewer\(imageAltText) src='\(file)' ar shadow-intensity='1' camera-controls touch-action='pan-y'></model-viewer>"
    }
}
